## kf6-ki18n 6.21.0

=== debian/changelog ===
kf6-ki18n (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)
  * New qml6-module-org-kde-ki18n

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:51:24 +0000

kf6-ki18n (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:14:15 +0000
