## kf6-ki18n 6.21.0+p24.04+vstable+git20251219.0104

=== debian/changelog ===
kf6-ki18n (6.21.0+p24.04+vstable+git20251219.0104-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 19 Dec 2025 01:04:33 +0000

kf6-ki18n (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:12:18 +1000
