=== debian/changelog ===
kf6-ki18n (6.21.0+p24.04+vstable+git20251224.0618-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:19:02 +0000
