## kf6-ki18n 6.22.0+p24.04+vunstable+git20260129.0247

=== debian/changelog ===
kf6-ki18n (6.22.0+p24.04+vunstable+git20260129.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:47:11 +0000
