=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# Launch tests with the same locale configuration as the upstream CI
	LANG=en_US.UTF-8 LC_ALL= LC_COLLATE= LC_CTYPE= dh_auto_test -Skf6 --no-parallel
